org.apache.commons.math3.exception

## Class OutOfRangeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math3.exception.MathIllegalArgumentException
          - - org.apache.commons.math3.exception.MathIllegalNumberException
            - - org.apache.commons.math3.exception.OutOfRangeException

- All Implemented Interfaces:
    java.io.Serializable, ExceptionContextProvider

      public class OutOfRangeException
      extends MathIllegalNumberException

  Exception to be thrown when some argument is out of range.
  Since:
    2.2
  Version:
    $Id: OutOfRangeException.java 1364378 2012-07-22 17:42:38Z tn $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Number` | `hi` Higher bound.
    `private java.lang.Number` | `lo` Lower bound.
    `private static long` | `serialVersionUID` Serializable version Id.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutOfRangeException(Localizable specific, java.lang.Number wrong, java.lang.Number lo, java.lang.Number hi)` Construct an exception from the mismatched dimensions with a specific context information.
    `OutOfRangeException(java.lang.Number wrong, java.lang.Number lo, java.lang.Number hi)` Construct an exception from the mismatched dimensions.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Number` | `getHi()`
    `java.lang.Number` | `getLo()`

    - ### Methods inherited from class org.apache.commons.math3.exception.MathIllegalNumberException

      `getArgument`

    - ### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

      `getContext, getLocalizedMessage, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable version Id.
      See Also:
        Constant Field Values

    - #### lo

          private final java.lang.Number lo

      Lower bound.

    - #### hi

          private final java.lang.Number hi

      Higher bound.

  - ### Constructor Detail

    - #### OutOfRangeException

          public OutOfRangeException(java.lang.Number wrong,
                             java.lang.Number lo,
                             java.lang.Number hi)

      Construct an exception from the mismatched dimensions.
      Parameters:
        `wrong` - Requested value.
        `lo` - Lower bound.
        `hi` - Higher bound.

    - #### OutOfRangeException

          public OutOfRangeException(Localizable specific,
                             java.lang.Number wrong,
                             java.lang.Number lo,
                             java.lang.Number hi)

      Construct an exception from the mismatched dimensions with a specific context information.
      Parameters:
        `specific` - Context information.
        `wrong` - Requested value.
        `lo` - Lower bound.
        `hi` - Higher bound.

  - ### Method Detail

    - #### getLo

          public java.lang.Number getLo()

      Returns:
        the lower bound.

    - #### getHi

          public java.lang.Number getHi()

      Returns:
        the higher bound.

Copyright (c) 2003-2013 Apache Software Foundation